#
# spec file for package pwlib (Version 1.2.11)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gpp libgpp openssl openssl-devel
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext gpp libgpp libtool libz openssl openssl-devel pam perl rpm

Name:         pwlib
URL:          http://www.openh323.org
License:      MPL
Group:        Development/Libraries/Parallel
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Autoreqprov:  on
Summary:      Portable Windows Library from Equivalence Pty. Ltd
Version:      1.2.11
Release:      54
Source:       pwlib_%{version}.tar.bz2
Patch:        pwlib.diff
Patch1:       pwlib_1.2.11_security.diff

%description
PWLib is a moderately large class library that has its genesis many years ago
as a method to product applications to run on both Microsoft Windows and the
X Window System. It also was to have a Macintosh port as well but this never
eventuated.

It is used for the OpenH323 project, see www.openh323.org for details.

Authors:
--------
    Equivalence Pty. Ltd. <support@equival.com.au>

SuSE series: n

%package devel
Version:      1.2.11
Release:      54
Summary:      pwlib package for developers (includes headers and scripts)
Group:        Development/Libraries/C and C++

%description -n pwlib-devel
This package includes header files and scripts needed for developers
using the PWLIB library.

Authors:
--------
    Equivalence Pty. Ltd. <support@equival.com.au>

SuSE series: n

%prep
%setup -n pwlib
%patch
%patch1 -p1 

%build
export PWLIBDIR=`pwd`
export LD_LIBRARY_PATH=$PWLIBDIR/lib:$LD_LIBRARY_PATH
export OPENSSLDIR=/usr
libdir=%{_libdir} make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
export PWLIBDIR=$RPM_BUILD_ROOT%{_libdir}/pwlib
if [ `uname -m | cut -b 3-` == "86" ]; then
  export M="x86"
else
if [ `uname -m | cut -b -3` == "ppc" ]; then
  export M="ppc"
else
if [ `uname -m | cut -b -7` == "sparc64" ]; then
  export M="sparc64"
else
if [ `uname -m | cut -b -5` == "sparc" ]; then
  export M="sparc"
else
if [ `uname -m | cut -b -5` == "alpha" ]; then
  export M="alpha"
else
if [ `uname -m | cut -b -4` == "ia64" ]; then
  export M="ia64"
else
if [ `uname -m | cut -b -5` == "s390x" ]; then
  export M="s390x"
else
if [ `uname -m | cut -b -4` == "s390" ]; then
  export M="s390"
else
  export M=`uname -m`
fi
fi
fi
fi
fi
fi
fi
fi
mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -c lib/libpt_linux_"$M"_r.so.1.* $RPM_BUILD_ROOT%{_libdir}
(cd $RPM_BUILD_ROOT%{_libdir}; ln -s libpt_linux_"$M"_r.so.%{version} libpt_linux_"$M"_r.so.1.2)
(cd $RPM_BUILD_ROOT%{_libdir}; ln -s libpt_linux_"$M"_r.so.%{version} libpt_linux_"$M"_r.so.1)
(cd $RPM_BUILD_ROOT%{_libdir}; ln -s libpt_linux_"$M"_r.so.%{version} libpt_linux_"$M"_r.so)
mkdir -p $PWLIBDIR/lib
(cd $PWLIBDIR/lib; ln -s %{_libdir}/libpt_linux_"$M"_r.so.%{version})
(cd $PWLIBDIR/lib; ln -s %{_libdir}/libpt_linux_"$M"_r.so.1.2)
(cd $PWLIBDIR/lib; ln -s %{_libdir}/libpt_linux_"$M"_r.so.1)
(cd $PWLIBDIR/lib; ln -s %{_libdir}/libpt_linux_"$M"_r.so)
mkdir -p $PWLIBDIR/tools/asnparser/obj_linux_"$M"_r
install -c tools/asnparser/obj_linux_"$M"_r/asnparser $PWLIBDIR/tools/asnparser/obj_linux_"$M"_r/asnparser
mkdir -p $PWLIBDIR/include/ptclib
install -c include/ptclib/*.h $PWLIBDIR/include/ptclib
mkdir -p $PWLIBDIR/include/ptlib
install -c include/ptlib.h $PWLIBDIR/include
install -c include/ptlib/*.h $PWLIBDIR/include/ptlib
install -c include/ptlib/*.inl $PWLIBDIR/include/ptlib
mkdir -p $PWLIBDIR/include/ptlib/unix/ptlib
install -c include/ptlib/unix/ptlib/*.h $PWLIBDIR/include/ptlib/unix/ptlib
install -c include/ptlib/unix/ptlib/*.inl $PWLIBDIR/include/ptlib/unix/ptlib
mkdir -p $PWLIBDIR/make
install -c make/*.mak $PWLIBDIR/make

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%{_libdir}/libpt_linux_*.1*

%files devel
%doc ReadMe.txt
%{_libdir}/libpt_linux_*.so
%dir %{_libdir}/pwlib
%{_libdir}/pwlib/*

%changelog -n pwlib
* Thu Feb 26 2004 - thomas@suse.de
- fixed build failure
* Tue Feb 24 2004 - thomas@suse.de
- fixed several security-related bugs (#34881)
* Tue Jan 29 2002 - kkaempf@suse.de
- Update to 1.2.11
* Sun Jan 27 2002 - ro@suse.de
- fix for updated bison
* Wed Jan 23 2002 - schwab@suse.de
- Fix for gcc3.
* Tue Dec 18 2001 - kkaempf@suse.de
- Update to 1.2.8
- Use %%{_libdir} in Makefiles
* Mon Dec 17 2001 - kkaempf@suse.de
- Fix .so symlinks
- Use %%{_libdir} in .spec file.
* Mon Dec 17 2001 - kkaempf@suse.de
- Update to 1.2.7
* Mon Dec 03 2001 - adrian@suse.de
- fix mips and arm recognition.
* Mon Dec 03 2001 - schwab@suse.de
- Fix getdate parser to use %%pure_parser instead of YYPURE.
- Fix endian configuration: alpha is little endian, s390* is big endian.
* Fri Oct 19 2001 - schwab@suse.de
- Fix use of <localeinfo.h>.
* Fri Aug 17 2001 - kkaempf@suse.de
- update to 1.1.36
  fix ppc recognition.
* Thu Aug 16 2001 - kkaempf@suse.de
- implement RPM_BUILD_ROOT in spec file.
* Mon Aug 06 2001 - kkaempf@suse.de
- update to pwlib-1.1.34
* Wed Jun 20 2001 - kkaempf@suse.de
- fix machtype recognition for s390/s390x
- mark s390x as 64bit
* Tue Jun 19 2001 - kkaempf@suse.de
- add s390x as target
- clean up specfile
* Wed Apr 11 2001 - froh@suse.de
- recognize s390
* Fri Mar 02 2001 - kkaempf@suse.de
- fix sparc recognition in unix.mak
* Thu Feb 15 2001 - kkaempf@suse.de
- recognize sparc and sparc64
- set P_64BIT define for ia64
* Wed Feb 14 2001 - kkaempf@suse.de
- properly call va_end() after va_start() inside a block
  (newer gcc checks for this)
- override MACHTYPE to contain architecture only on alpha
* Thu Jan 04 2001 - kkaempf@suse.de
- provide .so in -devel package only
* Wed Jan 03 2001 - kkaempf@suse.de
- move files from /opt/h323/pwlib to /usr/lib/pwlib
  install libraries in /usr/lib
  install development components in /usr/lib/pwlib
* Tue Jan 02 2001 - kkaempf@suse.de
- update to maintanance release 1.1pl19
* Mon Nov 20 2000 - kkaempf@suse.de
- recognize ia64 in MACHTYPE
* Thu Nov 16 2000 - kkaempf@suse.de
- use %%doc in filelist
* Wed Nov 15 2000 - kkaempf@suse.de
- fixed filelist, *.inl are include files :-}
* Wed Nov 15 2000 - kkaempf@suse.de
- split pwlib and pwlib-devel
  added minimal readme to pwlib-devel
* Fri Nov 10 2000 - kkaempf@suse.de
- fix MACHTYPE for sparc and alpha
* Fri Nov 03 2000 - kkaempf@suse.de
- fixed neededforbuild, removed bison
* Tue Sep 05 2000 - kkaempf@suse.de
- update to 1.1.18
* Thu Jul 13 2000 - kkaempf@suse.de
- fix namespace std bug
* Wed Jul 12 2000 - kkaempf@suse.de
- fix sparc machtype
* Wed Jul 12 2000 - kkaempf@suse.de
- cvs update
* Mon Jul 10 2000 - kkaempf@suse.de
- fix specfile for alpha and ia64
* Tue Jul 04 2000 - kkaempf@suse.de
- fix dirpath in specfile
* Mon Jul 03 2000 - kkaempf@suse.de
- fix build error
* Mon Jun 26 2000 - kkaempf@suse.de
- fix libname for alpha
* Wed Jun 21 2000 - ro@suse.de
- specfile fix
* Wed Jun 21 2000 - kkaempf@suse.de
- adapt to non-x86 architectures
* Tue Jun 20 2000 - kkaempf@suse.de
- created package
